% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/popdyn.R
\name{CalculateQ}
\alias{CalculateQ}
\title{Optimize for catchability (q)}
\usage{
CalculateQ(x, StockPars, FleetPars, pyears, bounds = c(1e-05, 15), control)
}
\arguments{
\item{x}{Integer, the simulation number}

\item{StockPars}{List of Stock Parameters}

\item{FleetPars}{List of Fleet Parameters}

\item{pyears}{The number of years to project forward. Equal to 'nyears' for optimizing for q.}

\item{bounds}{A numeric vector of length 2 with bounds for the optimizer}

\item{control}{List. Control parameters including \code{optVB=TRUE} to optimize
for vulnerable biomass instead of SSB?}
}
\description{
Function optimizes catchability (q, where F=qE) required to get to user-specified stock
depletion
}
\author{
A. Hordyk
}
\keyword{internal}
