% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DFO.R
\name{DFO_tab}
\alias{DFO_tab}
\title{Create a standard DFO performance table}
\usage{
DFO_tab(MSEobj, maxMPs = 15, rnd = 0)
}
\arguments{
\item{MSEobj}{An object of class MSE}

\item{maxMPs}{Integer: the maximum number of top ranking MPs to include in the table (ranked by long term yield)}

\item{rnd}{The number of significant figures for rounding.}
}
\description{
P_Cr_S is the probability of being in the critical zone in the first 10 projected years
P_Ct_S is the probability of being in the cautious zone in the first 10 projected years
P_H_S is the probability of being in the healthy zone in the first 10 projected years
POF_S is the probability of overfishing in the first 10 projected years
STY is the mean yield relative to FMSY management over the first 10 projected years
P_Cr_L is the probability of being in the critical zone in the last 10 projected years
P_Ct_L is the probability of being in the cautious zone in the last 10 projected years
P_H_L is the probability of being in the healthy zone in the last 10 projected years
POF_L is the probability of overfishing in the last 10 projected years
LTY is the mean yield relative to FMSY management over the last 10 projected years
AAVY is the average annual variability in yield over the whole projection phrased as a CV percentage
P_Reb is the probability the stock has rebuilt to over BMSY in 2 mean generation times
}
\author{
T. Carruthers
}
