% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/popdyn.R
\name{optQ}
\alias{optQ}
\title{Optimize q for a single simulation}
\usage{
optQ(
  logQ,
  depc,
  SSB0c,
  nareas,
  maxage,
  Ncurr,
  pyears,
  M_age,
  Asize_c,
  MatAge,
  WtAge,
  FecAge,
  Vuln,
  Retc,
  Prec,
  movc,
  SRrelc,
  Effind,
  Spat_targc,
  hc,
  R0c,
  SSBpRc,
  aRc,
  bRc,
  maxF,
  MPA,
  plusgroup,
  VB0c,
  SBMSYc,
  control
)
}
\arguments{
\item{logQ}{log q}

\item{depc}{Depletion value}

\item{SSB0c}{Unfished spawning biomass}

\item{nareas}{Number of areas}

\item{maxage}{Maximum age}

\item{Ncurr}{Current N-at-age}

\item{pyears}{Number of years to project population dynamics}

\item{M_age}{M-at-age}

\item{Asize_c}{Numeric vector (length nareas) with size of each area}

\item{MatAge}{Maturity-at-age}

\item{WtAge}{Weight-at-age}

\item{FecAge}{Mature weight-at-age (relative fecundity)}

\item{Vuln}{Vulnerability-at-age}

\item{Retc}{Retention-at-age}

\item{Prec}{Recruitment error by year}

\item{movc}{movement matrix}

\item{SRrelc}{SR parameter}

\item{Effind}{Historical fishing effort}

\item{Spat_targc}{Spatial targeting}

\item{hc}{Steepness}

\item{R0c}{Unfished recruitment by area}

\item{SSBpRc}{Unfished spawning biomass per recruit by area}

\item{aRc}{Ricker aR}

\item{bRc}{Ricker bR}

\item{maxF}{maximum F}

\item{MPA}{A matrix of spatial closures by year}

\item{plusgroup}{Integer. Default = 0 = no plus-group. Use 1 to include a plus-group}

\item{VB0c}{Unfished vulnerable biomass}

\item{SBMSYc}{Spawning biomass at MSY for simulation x}

\item{control}{List. Control parameters including \code{optVB=TRUE} to optimize
for vulnerable biomass instead of SSB?}
}
\description{
Optimize q for a single simulation
}
\author{
A. Hordyk
}
\keyword{internal}
