% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MMSE_plots.R
\name{plotquant}
\alias{plotquant}
\title{A fairly tidy time-series quantile plot}
\usage{
plotquant(
  x,
  p = c(0.05, 0.25, 0.75, 0.95),
  yrs,
  qcol,
  lcol,
  addline = T,
  ablines = NA
)
}
\arguments{
\item{x}{Matrix. A time series quantity \verb{[simulation, year]}}

\item{p}{Numeric vector. The percentiles that are plotted (LB2,LB1,UB1,UB2). LB2 and UB2 are the outer percentiles, LB1 and UB1 are the inner percentiles.}

\item{yrs}{Numeric vector. The years corresponding to the indexing of x}

\item{qcol}{Character, color. The color of the inner percentile range}

\item{lcol}{Character, color. The color of the outer percentile range.}

\item{addline}{Logical. Should two individual simulations be added to the percentile plots?}

\item{ablines}{Numeric vector. Horizontal lines to be added to the plot.}
}
\description{
A fairly tidy time-series quantile plot
}
\author{
T.Carruthers
}
