% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Misc_Exported.R
\name{setup}
\alias{setup}
\title{Setup parallel processing}
\usage{
setup(cpus = NULL, logical = FALSE, ...)
}
\arguments{
\item{cpus}{the number of CPUs to use for parallel processing. If left empty
all physical cores will be used, unless \code{logical=TRUE}, in which case both
physical and logical (virtual) cores will be used.}

\item{logical}{Use the logical cores as well? Using the virtual cores may
not lead to any significant decrease in run time.
You can test the optimal number of cores using \code{optCPU()}}

\item{...}{other arguments passed to 'snowfall::sfInit'}
}
\description{
Sets up parallel processing using the snowfall package
}
\examples{
\dontrun{
setup() # set-up the physical processors
setup(6) # set-up 6 processors
setup(logical=TRUE) # set-up physical and logical cores
}
}
